summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMorgan Deters <mdeters@gmail.com>2009-12-09 23:14:40 +0000
committerMorgan Deters <mdeters@gmail.com>2009-12-09 23:14:40 +0000
commit2f121daa042c6f25a3f9ed8ece60ac5dccb11976 (patch)
tree58ee28d73e8638b100abe09e961bc3dbdf9d79d9 /autogen.sh
parentd697d1e91be226339a28bd7e8dce3862901cba8a (diff)
some fixes and organizational adjustments to assert code, parsers/lexers, and build process
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh34
1 files changed, 33 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 5f2611c91..5f0dc09e0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,36 @@
-#!/bin/sh -ex
+#!/bin/sh
+
+# Expected versions of tools.
+#
+# If the installed autotools aren't these versions, issue a warning
+# about checking results into subversion.
+libtoolize_version='libtoolize (GNU libtool) 2.2.6'
+autoheader_version='autoheader (GNU Autoconf) 2.64'
+aclocal_version='aclocal (GNU automake) 1.11'
+autoconf_version='autoconf (GNU Autoconf) 2.64'
+automake_version='automake (GNU automake) 1.11'
+
+# first, check versions of tools
+
+warning=
+for tool in libtoolize autoheader aclocal autoconf automake; do
+ version=`eval echo '${'$tool'_version}'`
+ if $tool --version | grep -Fq "$version"; then :; else
+ echo "WARNING: [$tool] Expected $version."
+ warning=yes
+ fi
+done
+
+if test -n "$warning"; then
+ echo "WARNING:"
+ echo "WARNING: Due to the above unexpected versions of autotools, please do not commit"
+ echo "WARNING: the files these tools generate to CVC4 svn."
+ echo
+fi
+
+# now do a standard autogen
+
+set -ex
cd "$(dirname "$0")"
libtoolize --copy
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback